package com.liquidnet.service.account.wallet.mapper;

import com.liquidnet.service.account.wallet.entity.FinBizTransExtra;
import com.liquidnet.service.account.wallet.entity.FinBizTransExtraExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface FinBizTransExtraMapper {
    int countByExample(FinBizTransExtraExample example);

    int insert(FinBizTransExtra record);

    int insertSelective(FinBizTransExtra record);

    List<FinBizTransExtra> selectByExample(FinBizTransExtraExample example);

    FinBizTransExtra selectByPrimaryKey(String transNo);

    int updateByExampleSelective(@Param("record") FinBizTransExtra record, @Param("example") FinBizTransExtraExample example);

    int updateByExample(@Param("record") FinBizTransExtra record, @Param("example") FinBizTransExtraExample example);

    int updateByPrimaryKeySelective(FinBizTransExtra record);

    int updateByPrimaryKey(FinBizTransExtra record);


    int insertByBatch(List<FinBizTransExtra> records);
}
